Name:           sassc
Version:        3.6.2
Release:        2
Summary:        Libsass command line driver
License:        MIT
URL:            https://github.com/sass/sassc
Source0:        https://github.com/sass/sassc/archive/sassc-3.6.2.tar.gz
Source1:        sass-spec-libsass-3.6.3.tar.gz

BuildRequires:  libsass-devel libsass gcc-c++ autoconf automake libtool
Requires:       libsass

%description
SassC is a wrapper around libsass (http://github.com/sass/libsass) used to generate a useful
command-line application that can be installed and packaged for several operating systems.

SassC currently statically links the libsass library, but might one day using dynamic linking
if libsass supports that in the future.

%prep
%autosetup -a 1
mv sass-spec-libsass-3.6.3 sass-spec
autoreconf -fiv


%build
export CFLAGS="${RPM_OPT_FLAGS}"
sed -i.bak '
/^$(SASSC_EXE):/s/libsass//
/^build-shared:/s/$(LIB_SHARED)//
s|-L$(SASS_LIBSASS_PATH)/lib||g' Makefile

%configure
%make_build BUILD="shared"

%install
%make_install

%check
./%{name} -h
./%{name} -v

%files
%doc docs/* Readme.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Fri Mar 3 2023 caodongxia <caodongxia@h-partners.com> - 3.6.2-2
- Fix not stripped problem

* Thu Jul 28 2022 fushanqing <fushanqing@kylinos.cn> - 3.6.2-1
- update sassc to 3.6.2

* Wed Sep 08 2021 sunguoshuai <sunguoshuai@huawei.com> - 3.5.0-4
- Fix binary /usr/bin/sassc not striped problem.

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 3.5.0-3
- Completing build dependencies to fix gcc compiler missing error

* Fri Jan 03 2020 catastrowings <jianghuhao1994@163.com> - 3.5.0-2
- openEuler init
